// Fav's Destroyed Kart Replacement Because 2.4 Isn't Out Yet [tm]
freeslot("SPR_WPOT")

// Simply checks for the kart object's target (that's you!), checks if you're the appropriate skin, 
// and that the object is in the right state.
// If all's good, then the SPR_ swaps over to whatever you specified.
// It's short, simple, and straightforward. Perfect to modify for your own pleasure if you know what you're doing!

// Pro tip: If you're using gibs too, add a (kart.frame = #) to optimize your SPR_ freeslots!
addHook("MobjThinker", function(kart)
	if kart and kart.valid and kart.target and kart.target.valid
		if kart.state == S_KART_LEFTOVER_NOTIRES and (kart.target.skin == "exetior") then 
			kart.sprite = SPR_WPOT
			kart.frame = A
		end
		if kart.state == S_KART_LEFTOVER_NOTIRES and (kart.target.skin == "mirror") then 
			kart.sprite = SPR_WPOT
			kart.frame = B
		end
	end
end, MT_KART_LEFTOVER)