freeslot("SPR_EGBS") -- Your gibs sprite prefix to freeslot!

// We toss everything in a ThinkFrame so we can let the CustomGibsThinker.lua load first!
local ScriptLoaded = false
addHook("ThinkFrame", function()
	if not(ScriptLoaded)
	and CUSTOM_GIBS then
		ScriptLoaded = true 

		// Create your list of skins for custom gibs here!
		// 		sprite -	The SPR to switch to
		// 		frame -		The frame of the SPR to switch to
		// 		nullifier - Set to true if you want to remove this part

		// Tails uses the full list of available gibs to replace.
		CUSTOM_GIBS["exetior"] = {
			[SPR_DIEA] = {sprite = SPR_EGBS, frame = A, nullifier = false}, -- tires
			[SPR_DIEB] = {sprite = SPR_EGBS, frame = B, nullifier = false}, -- pipeframe bars
			[SPR_DIEC] = {sprite = SPR_EGBS, frame = C, nullifier = false}, -- pedal tip
			[SPR_DIED] = {sprite = SPR_EGBS, frame = D, nullifier = false}, -- right pedal
			[SPR_DIEE] = {sprite = SPR_EGBS, frame = E, nullifier = false}, -- steering wheel
			[SPR_DIEG] = {sprite = SPR_EGBS, frame = F, nullifier = false}, -- left pedal
			[SPR_DIEH] = {sprite = SPR_EGBS, frame = G, nullifier = false}, -- strut
			[SPR_DIEI] = {sprite = SPR_EGBS, frame = H, nullifier = false}, -- wheel axle bar
			[SPR_DIEJ] = {sprite = SPR_EGBS, frame = I, nullifier = false}, -- screw
			[SPR_DIEK] = {sprite = SPR_EGBS, frame = J, nullifier = false} -- N. Gin
		}
		
		CUSTOM_GIBS["mirror"] = {
			[SPR_DIEA] = {sprite = SPR_EGBS, frame = K, nullifier = false}, -- tires
			[SPR_DIEB] = {sprite = SPR_EGBS, frame = L, nullifier = false}, -- pipeframe bars
			[SPR_DIEC] = {sprite = SPR_EGBS, frame = M, nullifier = false}, -- pedal tip
			[SPR_DIED] = {sprite = SPR_EGBS, frame = N, nullifier = false}, -- right pedal
			[SPR_DIEE] = {sprite = SPR_EGBS, frame = O, nullifier = false}, -- steering wheel
			[SPR_DIEG] = {sprite = SPR_EGBS, frame = P, nullifier = false}, -- left pedal
			[SPR_DIEH] = {sprite = SPR_EGBS, frame = Q, nullifier = false}, -- strut
			[SPR_DIEI] = {sprite = SPR_EGBS, frame = R, nullifier = false}, -- wheel axle bar
			[SPR_DIEJ] = {sprite = SPR_EGBS, frame = S, nullifier = false}, -- screw
			[SPR_DIEK] = {sprite = SPR_EGBS, frame = T, nullifier = false} -- N. Gin
		}
	end
end)